aboutsummaryrefslogtreecommitdiffstats
path: root/modules/voidupdates
diff options
context:
space:
mode:
authorLibravatarLibravatar Biswakalyan Bhuyan <biswa@surgot.in> 2022-02-26 20:31:12 +0530
committerLibravatarLibravatar Biswakalyan Bhuyan <biswa@surgot.in> 2022-02-26 20:31:12 +0530
commit85ae438fbc238fe56bcb1c10a12ec52365053cb6 (patch)
tree7aa2c802739657f22fd8de735207b27fc6e7e8a9 /modules/voidupdates
downloaddwmbar-85ae438fbc238fe56bcb1c10a12ec52365053cb6.tar.gz
dwmbar-85ae438fbc238fe56bcb1c10a12ec52365053cb6.tar.bz2
dwmbar-85ae438fbc238fe56bcb1c10a12ec52365053cb6.zip
dwmbar dotfiles
Diffstat (limited to 'modules/voidupdates')
-rwxr-xr-xmodules/voidupdates18
1 files changed, 18 insertions, 0 deletions
diff --git a/modules/voidupdates b/modules/voidupdates
new file mode 100755
index 0000000..9411637
--- /dev/null
+++ b/modules/voidupdates
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+# Prints the number of updates for Void Linux
+
+PREFIX=' Updates: '
+
+get_updates()
+{
+ if ! updates=$(xbps-install -Mun 2> /dev/null | wc -l ); then
+ updates=0
+ fi
+
+ echo "$PREFIX$updates"
+}
+
+if [ $(( 10#$(date '+%M') % 3 )) -eq 0 ] && [ $(( 10#$(date '+%S') )) -eq 5 ]; then
+ get_updates
+fi